/*==============================================================================
SoundMedia.

This is used to load the Sound Settings for the LocoChat Mutator.
It gives the ability to mute the sounds for a map or forever. Also stores the
strings for the mutator to "ban" chatters.

==============================================================================*/
class SoundMedia extends Info config(User);

var config bool	PermaMute;	//Mute Sounds
var config int		Debug;
var bool			LocalPerma, LocalMapM;
var int			LocalDebug;

replication
{
	reliable if(Role == ROLE_Authority)
		SetDebug, SetPermaMute, SetMapMute, ClientGivePerma, ClientGiveMapM, ClientGiveDebug;

	reliable if(Role < ROLE_Authority)
		GiveServerPerma, GiveServerMapM, GiveServerDebug, LocalDebug, LocalPerma, LocalMapM;
}

simulated function PreBeginPlay()
{
	bAlwaysRelevant = true;
	LocalMapM = false;

	ClientGivePerma();
	ClientGiveMapM();
	ClientGiveDebug();
}

simulated function Tick(float DeltaTime)
{
	if(PlayerPawn(Owner) == None)
		Destroy();
}
simulated function ClientGiveDebug()
{
	if(ROLE < ROLE_Authority )
		GiveServerDebug(Debug);
}

simulated function GiveServerDebug(int Debug)
{
	if ( ROLE == ROLE_Authority )
		LocalDebug = Debug;
}
simulated function ClientGivePerma()
{
	if(ROLE < ROLE_Authority )
		GiveServerPerma(PermaMute);
}

simulated function GiveServerPerma(bool Perma)
{
	if ( ROLE == ROLE_Authority )
		LocalPerma = Perma;
}
simulated function ClientGiveMapM()
{
	if(ROLE < ROLE_Authority )
		GiveServerMapM(LocalMapM);
}

simulated function GiveServerMapM(bool MapM)
{
	if ( ROLE == ROLE_Authority )
		LocalMapM = MapM;
}

simulated function SetPermaMute(bool Phrase)
{
	PermaMute = Phrase;
	SaveConfig();
	ClientGivePerma();
}

simulated function SetMapMute(bool Phrase)
{
	LocalMapM = Phrase;
	ClientGiveMapM();
}
simulated function SetDebug(int Number)
{
	Debug = Number;
	SaveConfig();
	ClientGiveDebug();
}
defaultproperties
{
    RemoteRole=2
}
